# -*- encoding: utf-8 -*-
# stub: ruby-prof 1.0.0 ruby lib
# stub: ext/ruby_prof/extconf.rb

Gem::Specification.new do |s|
  s.name = "ruby-prof".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Shugo Maeda, Charlie Savage, Roger Pack, Stefan Kaes".freeze]
  s.date = "2020-01-08"
  s.description = "ruby-prof is a fast code profiler for Ruby. It is a C extension and\ntherefore is many times faster than the standard Ruby profiler. It\nsupports both flat and graph profiles.  For each method, graph profiles\nshow how long the method ran, which methods called it and which\nmethods it called. RubyProf generate both text and html and can output\nit to standard out or to a file.\n".freeze
  s.email = "shugo@ruby-lang.org, cfis@savagexi.com, rogerdpack@gmail.com, skaes@railsexpress.de".freeze
  s.executables = ["ruby-prof".freeze, "ruby-prof-check-trace".freeze]
  s.extensions = ["ext/ruby_prof/extconf.rb".freeze]
  s.files = ["CHANGES".freeze, "LICENSE".freeze, "README.rdoc".freeze, "Rakefile".freeze, "bin/ruby-prof".freeze, "bin/ruby-prof-check-trace".freeze, "ext/ruby_prof/extconf.rb".freeze, "ext/ruby_prof/rp_allocation.c".freeze, "ext/ruby_prof/rp_allocation.h".freeze, "ext/ruby_prof/rp_call_info.c".freeze, "ext/ruby_prof/rp_call_info.h".freeze, "ext/ruby_prof/rp_measure_allocations.c".freeze, "ext/ruby_prof/rp_measure_memory.c".freeze, "ext/ruby_prof/rp_measure_process_time.c".freeze, "ext/ruby_prof/rp_measure_wall_time.c".freeze, "ext/ruby_prof/rp_measurement.c".freeze, "ext/ruby_prof/rp_measurement.h".freeze, "ext/ruby_prof/rp_method.c".freeze, "ext/ruby_prof/rp_method.h".freeze, "ext/ruby_prof/rp_profile.c".freeze, "ext/ruby_prof/rp_profile.h".freeze, "ext/ruby_prof/rp_stack.c".freeze, "ext/ruby_prof/rp_stack.h".freeze, "ext/ruby_prof/rp_thread.c".freeze, "ext/ruby_prof/rp_thread.h".freeze, "ext/ruby_prof/ruby_prof.c".freeze, "ext/ruby_prof/ruby_prof.h".freeze, "ext/ruby_prof/vc/ruby_prof.sln".freeze, "ext/ruby_prof/vc/ruby_prof.vcxproj".freeze, "lib/ruby-prof.rb".freeze, "lib/ruby-prof/assets/call_stack_printer.css.html".freeze, "lib/ruby-prof/assets/call_stack_printer.js.html".freeze, "lib/ruby-prof/assets/call_stack_printer.png".freeze, "lib/ruby-prof/assets/graph_printer.html.erb".freeze, "lib/ruby-prof/call_info.rb".freeze, "lib/ruby-prof/call_info_visitor.rb".freeze, "lib/ruby-prof/compatibility.rb".freeze, "lib/ruby-prof/exclude_common_methods.rb".freeze, "lib/ruby-prof/measurement.rb".freeze, "lib/ruby-prof/method_info.rb".freeze, "lib/ruby-prof/printers/abstract_printer.rb".freeze, "lib/ruby-prof/printers/call_info_printer.rb".freeze, "lib/ruby-prof/printers/call_stack_printer.rb".freeze, "lib/ruby-prof/printers/call_tree_printer.rb".freeze, "lib/ruby-prof/printers/dot_printer.rb".freeze, "lib/ruby-prof/printers/flat_printer.rb".freeze, "lib/ruby-prof/printers/graph_html_printer.rb".freeze, "lib/ruby-prof/printers/graph_printer.rb".freeze, "lib/ruby-prof/printers/multi_printer.rb".freeze, "lib/ruby-prof/profile.rb".freeze, "lib/ruby-prof/rack.rb".freeze, "lib/ruby-prof/task.rb".freeze, "lib/ruby-prof/thread.rb".freeze, "lib/ruby-prof/version.rb".freeze, "lib/unprof.rb".freeze, "ruby-prof.gemspec".freeze, "test/abstract_printer_test.rb".freeze, "test/alias_test.rb".freeze, "test/basic_test.rb".freeze, "test/call_info_visitor_test.rb".freeze, "test/duplicate_names_test.rb".freeze, "test/dynamic_method_test.rb".freeze, "test/enumerable_test.rb".freeze, "test/exceptions_test.rb".freeze, "test/exclude_methods_test.rb".freeze, "test/exclude_threads_test.rb".freeze, "test/line_number_test.rb".freeze, "test/marshal_test.rb".freeze, "test/measure_allocations.rb".freeze, "test/measure_allocations_test.rb".freeze, "test/measure_allocations_trace_test.rb".freeze, "test/measure_memory_trace_test.rb".freeze, "test/measure_process_time_test.rb".freeze, "test/measure_times.rb".freeze, "test/measure_wall_time_test.rb".freeze, "test/multi_printer_test.rb".freeze, "test/no_method_class_test.rb".freeze, "test/parser_timings.rb".freeze, "test/pause_resume_test.rb".freeze, "test/prime.rb".freeze, "test/printer_call_tree_test.rb".freeze, "test/printer_flat_test.rb".freeze, "test/printer_graph_html_test.rb".freeze, "test/printer_graph_test.rb".freeze, "test/printers_test.rb".freeze, "test/printing_recursive_graph_test.rb".freeze, "test/rack_test.rb".freeze, "test/recursive_test.rb".freeze, "test/singleton_test.rb".freeze, "test/stack_printer_test.rb".freeze, "test/start_stop_test.rb".freeze, "test/test_helper.rb".freeze, "test/thread_test.rb".freeze, "test/unique_call_path_test.rb".freeze, "test/yarv_test.rb".freeze]
  s.homepage = "https://github.com/ruby-prof/ruby-prof".freeze
  s.licenses = ["BSD-2-Clause".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.4.0".freeze)
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Fast Ruby profiler".freeze
  s.test_files = ["test/test_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<minitest>.freeze, [">= 0"])
      s.add_development_dependency(%q<rake-compiler>.freeze, [">= 0"])
      s.add_development_dependency(%q<rdoc>.freeze, [">= 0"])
    else
      s.add_dependency(%q<minitest>.freeze, [">= 0"])
      s.add_dependency(%q<rake-compiler>.freeze, [">= 0"])
      s.add_dependency(%q<rdoc>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<minitest>.freeze, [">= 0"])
    s.add_dependency(%q<rake-compiler>.freeze, [">= 0"])
    s.add_dependency(%q<rdoc>.freeze, [">= 0"])
  end
end
